import { AbapObject } from "./lib/abap";
import { ADTClient } from "abap-adt-api";
export interface Options {
    test: boolean;
    transport?: string;
}
export declare class Main {
    private client;
    constructor(client: ADTClient);
    private readonly status;
    private tryLock;
    private validateTransport;
    private activate;
    private write;
    private processInclude;
    processObjects(objects: AbapObject[], options: Options): Promise<void>;
}
